.dev-contact-container {
    padding: 4px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    background-color: #bd9e6d;
    margin-bottom: 50px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.map-part {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 0.4fr;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    min-width: 600px;
    max-height: 610px;
}

.map-container {
    width: 100%;
    height: 100%;
    background-color: #3B566E;
}

.dev-map {
    background-color: blueviolet;
    display: flex;
    justify-content: center;
    align-items: center;
    color: aliceblue;
    min-height: 300px;
}

.map-map {
    width: 100%;
    height: 100%;
}


.form-part {
    display: flex;
    min-width: 400px;
    padding-top: 10px;
    margin-left: -50px;
    height: fit-content;
}

.dev-contacts {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    padding-left: 40px;
    padding-right: 80px;
}

.dev-contact {
    background-color: white;
    color: aliceblue;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: max-content;
    padding: 10px;
    box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1);
    height: fit-content;
    margin-top: -20px;
}

.dev-form {
    background-color: white;
    color: aliceblue;
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1 1 100vw;
    max-width: 400px;
    height: 580px;
    padding: 40px;
}

.dev-form input {
    width: 100%;
    border: none;
    margin-bottom: 10px;
    min-height: 40px;
    border-radius: 3px;
    background-color: rgb(255, 248, 229);
    padding: 10px;
}

.dev-form textarea {
    width: 100%;
    border: none;
    margin-bottom: 10px;
    min-height: 70px;
    border-radius: 3px;
    background-color: rgb(255, 248, 229);
    padding: 10px;
}

.dev-form button {
    font-size: 13px;
    color: #fff;
    background: #515541;
    padding: 12px 30px;
    display: inline-block;
    border-radius: 5px;
    font-weight: 500;
    text-transform: uppercase;
    transition: all .3s;
    border: none;
}

@media (max-width: 1200px) {
    .map-part {
        min-width: 400px;
    }

    .form-part {
        min-width: 400px;
        justify-content: center;
    }

    .dev-map {
        height: 470px;
        width: 500px;
    }

    .dev-contact-container {
        padding: 30px;
    }
}

@media (max-width: 991px) {
    .map-part {
        min-width: 100%;
        justify-content: center;
        max-height: 540px;
    }

    .dev-map {
        height: 400px;
        width: 100%;
    }

    .dev-contact {
        margin-top: 10px;
        min-width: 200px;
        justify-content: left;
    }

    .dev-contacts {
        padding-right: 15px;
        padding-left: 15px;
    }
    
    .dev-form {
        max-width: 100%;
    }

    .form-part {
        margin-left: 0;

    }

}

@media (max-width: 555px) {
    .dev-contact {
        max-width: 100%;
    }

}

@media (max-width: 522px) {
    .dev-contact {
        width: 100%;
    }

    .dev-contacts {
        padding-right: 0px;
        padding-left: 0px;
    }

    .map-part {
        max-height: 665px;
    }
}